+ Start a Discussion
sysenvirsysenvir 

Missing component for Eclipse when downloading force.com IDE

Hi!

I get the following malfunction from the latest version of Eclipse which differs slightly from the version shown on the salesforce.com installation documentation:

 

Cannot complete the install because one or more required items could not be found.
  Software being installed: Force.com IDE 16.0.0.200906151227 (com.salesforce.ide.feature.feature.group 16.0.0.200906151227)
  Missing requirement: Force.com IDE Deployment 16.0.0.200906151227 (com.salesforce.ide.deployment 16.0.0.200906151227) requires 'bundle org.eclipse.ui [3.3.0,3.5.0)' but it could not be found
  Cannot satisfy dependency:
    From: Force.com IDE 16.0.0.200906151227 (com.salesforce.ide.feature.feature.group 16.0.0.200906151227)
    To: com.salesforce.ide.deployment [16.0.0.200906151227]

 

Can anyone please advise how to proceed to install the IDE?

 

:smileysurprised:

Best Answer chosen by Admin (Salesforce Developers) 
sysenvirsysenvir

Sorry chaps, my fault for being a bit slow. I noticed on one of the support pages that 3.5 didn't work, and I subsequently installed fine using 3.4n.

 

I did get a reply from salesforce support mentioning the incompatibility, and I am very grateful for all your help.

 

All the best,

:manvery-happy:

 

 

All Answers

JonPJonP

What version of Eclipse are you using?  The Force.com IDE 16.0 does not support Eclipse 3.5, only Eclipse 3.4 and 3.3.  The next version of the IDE (18.0), which is coming out soon, will add support for Eclipse 3.5.

 

Jon

salesforce.com Product Manager 

sysenvirsysenvir

Sorry chaps, my fault for being a bit slow. I noticed on one of the support pages that 3.5 didn't work, and I subsequently installed fine using 3.4n.

 

I did get a reply from salesforce support mentioning the incompatibility, and I am very grateful for all your help.

 

All the best,

:manvery-happy:

 

 

This was selected as the best answer
srs_adminsrs_admin

Hi Jon, when is the next version of the IDE scheduled for release?

JonPJonP

The Force.com IDE for Winter '11 will be released shortly after all our instances have upgraded to Winter '11, in the first half of October.